Bio::Tools::Motif(3pm)

NAME
Bio::Tools::Motif - Perl implementation of the Motif protein subcellular localization method.

SYNOPSIS
  use Bio::Tools::Motif;

  # Load a previously trained model from a file.
  $motif = new Bio::Tools::Motif(-database => 'motif-db.txt');

  # Attempt to match on a Bio::Seq object.
  @matches = $motif->match($seq);
  print($seq->display_id . ": matched " . $_->motif_id . "\n") for(@matches);

  # Save the database to a file.
  $motif->save('motif-db.txt.new');

  # Load a database from a file.
  $motif->load('motif-db.txt.new');

  # Add a new Bio::Tools::Motif::Pattern.
  $motif->add_pattern($pattern);

DESCRIPTION
Bio::Tools::Motif uses a selection of motifs that have been identified to be typical of proteins resident at a specific subcellular localization. The module accepts a Bio::Seq object and attempts to match it against a database, returning one or more Bio::Tools::Motif::Match objects with the prediction information if successful.

CONSTRUCTOR
   $motif = new Bio::Tools::Motif(-database => 'motif-db.txt');

The Motif constructor accepts the name of an existing database file.

METHODS
   @matches = $motif->match($seq);

The match method accepts a Bio::Seq object as an argument and returns an array of Bio::Tools::Motif::Match objects that matched the given sequence.

  $motif->add_pattern($pattern)

The add_pattern method adds another Bio::Tools::Motif::Pattern method to the list of patterns used to match against sequences.

  $motif->save('motif-db.txt.new');

Saves the currently loaded database to the specified file. Returns true on success, false on failure.

  $motif->load('motif-db.txt.new');

Loads an existing database from file. Returns true on success, false on failure.

The database is a file containing a series of tab delimited fields. The fields (in order) are: the motif ID, the localization site, the perl regular expression used to match the motif and an optional comment field.

AUTHOR
Cory Spencer <cspencer@sfu.ca>

SEE ALSO
Bio::Tools::Motif::Pattern, Bio::Tools::Motif::Match

ACKNOWLEGEMENTS
Thanks go out to Fiona Brinkman, Jennifer Gardy and the other members of the Simon Fraser University Brinkman laboratory.